<?php

	class IDEALCHECKOUT_FOR_JOOMLA_AND_VIRTUEMART_3_0_0
	{
		// Return the software name
		public static function getSoftwareName()
		{
			return 'Joomla & VirtueMart 3.0.0+';
		}



		// Return the software code
		public static function getSoftwareCode()
		{
			return str_replace('_', '-', substr(basename(__FILE__), 0, -4));
		}



		// Return path to main cinfig file (if any)
		public static function getConfigFile()
		{
			return SOFTWARE_PATH . DS . 'configuration.php';
		}



		// Return path to main cinfig file (if any)
		public static function getConfigData()
		{
			$sConfigFile = self::getConfigFile();

			// Detect DB settings via configuration file
			if(is_file($sConfigFile))
			{
				return file_get_contents($sConfigFile);
			}

			return '';
		}



		// Find default database settings
		public static function getDatabaseSettings($aSettings)
		{
			$aSettings['db_prefix'] = 'jos_';
			$sConfigData = self::getConfigData();

			if(!empty($sConfigData))
			{
				$aSettings['db_host'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/host = \'([^\']+)\';/');
				$aSettings['db_user'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/user = \'([^\']+)\';/');
				$aSettings['db_pass'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/password = \'([^\']+)\';/');
				$aSettings['db_name'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/db = \'([^\']+)\';/');
				$aSettings['db_prefix'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/dbprefix = \'([^\']+)\';/');
				$aSettings['db_type'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/dbtype = \'([^\']+)\';/');
			}

			return $aSettings;
		}



		// See if current software == self::$sSoftwareCode
		public static function isSoftware()
		{
			$aFiles = array();
			$aFiles[] = SOFTWARE_PATH . DS . 'configuration.php';
			$aFiles[] = SOFTWARE_PATH . DS . 'administrator' . DS . 'components' . DS . 'com_virtuemart';
			$aFiles[] = SOFTWARE_PATH . DS . 'components' . DS . 'com_virtuemart';
			// $aFiles[] = SOFTWARE_PATH . DS . 'joomla.xml';

			foreach($aFiles as $sFile)
			{
				if(!is_file($sFile) && !is_dir($sFile))
				{
					return false;
				}
			}

			return true;
		}




		// Install plugin, return text
		public static function doInstall($aSettings)
		{
			IDEALCHECKOUT_INSTALL::doInstall($aSettings);



			// Detect Joomla 1.5 or 1.7
			$sql_25 = "SELECT `manifest_cache` FROM `" . $aSettings['db_prefix'] . "extensions` LIMIT 1;"; // Joomla 2.5+
			$sql_17 = "SELECT `extension_id` FROM `" . $aSettings['db_prefix'] . "extensions` LIMIT 1;"; // Joomla 1.7+
			$sql_15 = "SELECT `id` FROM `" . $aSettings['db_prefix'] . "plugins` LIMIT 1;"; // Joomla 1.5+

			if(idealcheckout_database_isRecord($sql_25)) // Joomla >= 2.5
			{
				IDEALCHECKOUT_INSTALL::addLog('Found Joomla 2.5+', __FILE__, __LINE__);

				$sql = "SELECT * FROM `" . $aSettings['db_prefix'] . "extensions` WHERE (`element` = 'idealcheckoutideal') LIMIT 1;";
				if(!idealcheckout_database_isRecord($sql))
				{
					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - iDEAL', 'idealcheckoutideal', 'vmpayment', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Mister Cash', 'idealcheckoutmistercash', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Direct E-Banking', 'idealcheckoutdirectebanking', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Creditcard', 'idealcheckoutcreditcard', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - PayPal', 'idealcheckoutpaypal', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - PaySafeCard', 'idealcheckoutpaysafecard', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Authorized Transfer (Eenmalige machtiging)', 'idealcheckoutauthorizedtransfer', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Maestro', 'idealcheckoutmaestro', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Manual Transfer (Handmatig overboeken)', 'idealcheckoutmanualtransfer', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Mastercard', 'idealcheckoutmastercard', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Visa', 'idealcheckoutvisa', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - vPay', 'idealcheckoutvpay', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Klarna Account', 'idealcheckoutklarnaaccount', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`, `manifest_cache`, `custom_data`, `system_data`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Klarna Invoice', 'idealcheckoutklarnainvoice', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '', '', '', '');";
					idealcheckout_database_execute($sql);
				}
			}
			elseif(idealcheckout_database_isRecord($sql_17)) // Joomla >= 1.7
			{
				IDEALCHECKOUT_INSTALL::addLog('Found Joomla 1.7+', __FILE__, __LINE__);

				$sql = "SELECT * FROM `" . $aSettings['db_prefix'] . "extensions` WHERE (`element` = 'idealcheckoutideal') LIMIT 1;";
				if(!idealcheckout_database_isRecord($sql))
				{
					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - iDEAL', 'idealcheckoutideal', 'vmpayment', 1, 1, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Mister Cash', 'idealcheckoutmistercash', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Direct E-Banking', 'idealcheckoutdirectebanking', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Creditcard', 'idealcheckoutcreditcard', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - PayPal', 'idealcheckoutpaypal', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - PaySafeCard', 'idealcheckoutpaysafecard', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Authorized Transfer (Eenmalige machtiging)', 'idealcheckoutauthorizedtransfer', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Maestro', 'idealcheckoutmaestro', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Manual Transfer (Handmatig overboeken)', 'idealcheckoutmanualtransfer', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Mastercard', 'idealcheckoutmastercard', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Visa', 'idealcheckoutvisa', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - vPay', 'idealcheckoutvpay', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Klarna Account', 'idealcheckoutklarnaaccount', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "extensions` (`extension_id`, `type`, `name`, `element`, `folder`, `access`, `ordering`, `enabled`, `state`, `client_id`, `checked_out`, `checked_out_time`, `params`) VALUES (NULL, 'plugin', 'iDEAL Checkout - Klarna Invoice', 'idealcheckoutklarnainvoice', 'vmpayment', 1, 0, 1, 0, 0, 0, '0000-00-00 00:00:00', '');";
					idealcheckout_database_execute($sql);
				}
			}
			elseif(idealcheckout_database_isRecord($sql_15)) // Joomla >= 1.5
			{
				IDEALCHECKOUT_INSTALL::addLog('Found Joomla 1.5+', __FILE__, __LINE__);

				$sql = "SELECT * FROM `" . $aSettings['db_prefix'] . "plugins` WHERE (`element` = 'idealcheckoutideal') LIMIT 1;";
				if(!idealcheckout_database_isRecord($sql))
				{
					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - iDEAL', `element` = 'idealcheckoutideal',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - Mister Cash',`element` = 'idealcheckoutmistercash',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - Direct E-Banking',`element` = 'idealcheckoutdirectebanking',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - Credit Card',`element` = 'idealcheckoutcreditcard',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - PayPal',`element` = 'idealcheckoutpaypal',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - PaySafeCard',`element` = 'idealcheckoutpaysafecard',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - Authorized Transfer (Eenmalige machtiging)',`element` = 'idealcheckoutauthorizedtransfer',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - Maestro', `element` = 'idealcheckoutmaestro',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - Manual Transfer (Handmatig overboeken)',`element` = 'idealcheckoutmanualtransfer',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - Master Card',`element` = 'idealcheckoutmastercard',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - Visa',`element` = 'idealcheckoutvisa',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - vPay',`element` = 'idealcheckoutvpay',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - Klarna Account',`element` = 'idealcheckoutklarnaaccount',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);

					$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "plugins` SET `id` = NULL, `name` = 'iDEAL Checkout - Klarna Invoice',`element` = 'idealcheckoutklarnainvoice',`folder` = 'vmpayment',`access` = 0, `ordering` = 0, `published` = 1, `iscore` = 0, `client_id` = 0, `checked_out` = 0, `checked_out_time` = '0000-00-00 00:00:00', `params` = '';";
					idealcheckout_database_execute($sql);
				}
			}
			else
			{
				IDEALCHECKOUT_INSTALL::output('<p>Cannot detect Joomla Version (1.5, 1.7 or 2.5)</p>');
			}

			$sql = "SHOW COLUMNS FROM `" . $aSettings['db_prefix'] . "idealcheckout_settings` LIKE `webshop_package`";
			
			if(!$aColumn = ic_database_getRecord($sql))
			{
				$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "idealcheckout_settings` SET
`id` = NULL, 
`keyname` = 'webshop_package',
`value` = 'virtuemart'";
				ic_database_execute($sql);
				
			}
			else
			{
				$sql = "UPDATE `" . $aSettings['db_prefix'] . "idealcheckout_settings` SET
`value` = 'virtuemart' WHERE (`keyname` = 'webshop_package') LIMIT 1";
				ic_database_execute($sql);
			}
			
			

			return true;
		}



		// Install plugin, return text
		public static function getInstructions($aSettings)
		{
			$sHtml = '';
			$sHtml .= '<ol>';
			$sHtml .= '<li>Log in op de beheeromgeving van uw webshop.</li>';
			$sHtml .= '<li>Ga in het hoofdmenu naar Componenten / VirtueMart / Betaalsystemen (Payment Methods).</li>';
			$sHtml .= '<li>Klik rechts bovenin op "Nieuw".</li>';
			$sHtml .= '<li>Geef een naam op voor de betaalmethode (Bijv. iDEAL).</li>';
			$sHtml .= '<li>Zet "publiceren" op "Ja"</li>';
			$sHtml .= '<li>Kies als betaalmethode de waarde "iDEAL Checkout - iDEAL".</li>';
			$sHtml .= '<li>Geef de sorteervolgorde aan.</li>';
			$sHtml .= '<li>Sla de instellingen op.</li>';
			$sHtml .= '<li>Herhaal stap 3 t/m 8 voor de overige betaalmethoden die u wilt aanbieden in uw webshop.</li>';
			$sHtml .= '</ol>';

			return $sHtml;
		}
	}

?>